--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Checks if User <em>user</em> can do <em>cmd</em> on <em>chan</em>.
- !ruby/struct:SM::Flow::P 
  body: "Permission are checked in this order, until a true or false is returned:"
- !ruby/object:SM::Flow::LIST 
  contents: 
  - !ruby/struct:SM::Flow::LI 
    label: "*"
    body: associated BotUser on <em>chan</em>
  - !ruby/struct:SM::Flow::LI 
    label: "*"
    body: associated BotUser on all channels
  - !ruby/struct:SM::Flow::LI 
    label: "*"
    body: everyone on <em>chan</em>
  - !ruby/struct:SM::Flow::LI 
    label: "*"
    body: everyone on all channels
  type: :BULLET
full_name: Irc::Bot::Auth::ManagerClass#permit?
is_singleton: false
name: permit?
params: (user, cmdtxt, channel=nil)
visibility: public
